<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.pcloud.common</groupId>
	<artifactId>pcloud-book-parent</artifactId>
	<version>2.1.0-RELEASE</version>
    <modules>
        <module>pcloud-facade-book</module>
        <module>pcloud-service-book</module>
    </modules>
    <packaging>pom</packaging>

    <name>pcloud-book-parent</name>
    <description>invoker project for Spring Boot</description>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>1.5.4.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>

    <!-- 全局属性配置 -->
    <profiles>

        <!-- 开发环境 -->
        <profile>
            <id>dev</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>dev</env>
                <pcloud-common.version>2.0.0-SNAPSHOT</pcloud-common.version>
                <pcloud-common-config.version>2.0.0-SNAPSHOT</pcloud-common-config.version>
                <pcloud-common-core.version>2.0.0-SNAPSHOT</pcloud-common-core.version>
                <wxgroup-sdk.version>1.1.0-SNAPSHOT</wxgroup-sdk.version>
                <pcloud-facade.version>2.0.0-SNAPSHOT</pcloud-facade.version>
            </properties>
        </profile>

        <!-- 测试环境 -->
        <profile>
            <id>test</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>test</env>
                 <maven.test.skip>false</maven.test.skip>
                <pcloud-common.version>2.1.0-SNAPSHOT</pcloud-common.version>
                <pcloud-common-config.version>2.1.0-SNAPSHOT</pcloud-common-config.version>
                <pcloud-common-core.version>2.1.0-SNAPSHOT</pcloud-common-core.version>
                <wxgroup-sdk.version>1.0.0-SNAPSHOT</wxgroup-sdk.version>
                <pcloud-facade.version>2.1.0-SNAPSHOT</pcloud-facade.version>
            </properties>
        </profile>

        <!-- UAT -->
        <profile>
            <id>uat</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>uat</env>
                <pcloud-common.version>2.1.0-RELEASE</pcloud-common.version>
                <pcloud-common-config.version>2.1.0-RELEASE</pcloud-common-config.version>
                <pcloud-common-core.version>2.1.0-RELEASE</pcloud-common-core.version>
                <wxgroup-sdk.version>1.0.0-RELEASE</wxgroup-sdk.version>
                <pcloud-facade.version>2.1.0-RELEASE</pcloud-facade.version>
            </properties>
               <!-- 设置默认环境 -->
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>

        <!-- 压测环境 -->
        <profile>
            <id>perf</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>perf</env>
                <pcloud-common.version>2.0.0-SNAPSHOT</pcloud-common.version>
                <pcloud-common-config.version>2.0.0-SNAPSHOT</pcloud-common-config.version>
                <pcloud-common-core.version>2.0.0-SNAPSHOT</pcloud-common-core.version>
                <wxgroup-sdk.version>1.0.0-SNAPSHOT</wxgroup-sdk.version>
                <pcloud-facade.version>2.1.0-SNAPSHOT</pcloud-facade.version>
            </properties>
        </profile>

        <!-- 生产环境 -->
        <profile>
            <id>prod</id>
            <properties>
                <!-- 部署环境(对应配置文件版本) -->
                <env>prod</env>
                <pcloud-common.version>2.1.1-RELEASE</pcloud-common.version>
                <pcloud-common-config.version>2.1.1-RELEASE</pcloud-common-config.version>
                <pcloud-common-core.version>2.1.1-RELEASE</pcloud-common-core.version>
                <wxgroup-sdk.version>1.1.0-SNAPSHOT</wxgroup-sdk.version>
                <pcloud-facade.version>2.1.0-RELEASE</pcloud-facade.version>
            </properties>
        </profile>

    </profiles>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <spring-cloud.version>Dalston.SR1</spring-cloud.version>
      </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>1.3.0</version>
            </dependency>
            <!-- swagger2 -->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>2.7.0</version>
            </dependency>
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger-ui</artifactId>
                <version>2.7.0</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <repositories>
        <repository>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <id>public</id>
            <name>public repositories</name>
            <url>http://192.168.83.20:8081/nexus/content/repositories/snapshots/</url>
        </repository>
        <repository>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <id>jboss</id>
            <name>public jboss</name>
            <url>http://192.168.83.20:8081/nexus/content/repositories/snapshots/</url>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>public</id>
            <name>public repositories</name>
            <url>http://192.168.83.20:8081/nexus/content/repositories/snapshots/</url>
        </pluginRepository>
        <pluginRepository>
            <releases>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
            <id>central</id>
            <name>Central Repository</name>
            <url>http://repo.maven.apache.org/maven2</url>
        </pluginRepository>
        <pluginRepository>
            <id>Codehaus repository</id>
            <url>http://repository.codehaus.org/</url>
        </pluginRepository>
    </pluginRepositories>

    <distributionManagement>
        <repository>
            <id>nexus-releases</id>
            <name>Nexus Release Repository</name>
            <url>http://192.168.83.20:8081/nexus/content/repositories/releases/</url>
        </repository>
        <snapshotRepository>
            <id>nexus-snapshots</id>
            <name>Nexus Snapshot Repository</name>
            <url>http://192.168.83.20:8081/nexus/content/repositories/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

</project>
